=== debian/changelog ===
ros-indigo-segbot-navigation (0.3.5-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.4-0trusty) trusty; urgency=high

  * Added gmapping launch files for version 3 BWI Bot and added mapping instructions.
  * Resolving hardcoded directory in include
    A recent commit changed most of the rosparam .yaml files to be found based on the robot version (segbotv2 or v3).
    One file, eband_planner_params.yaml had the old directory structure hardcoded in, preventing successful startup when running the bwi launch files on a segbot_v2.
  * improved door sensing behavior. switched from navfn to global_planner
  * updated parameters, and separated v2 and v3 navigation configuration parameters.
  * fixed robot footprint.
  * updated for hokuyo on segbot v3
  * switch from pointcloud to laserscan in navigation for the
    velodyne. Introduce the scan shadows filter.
  * Contributors: FernandezR, Piyush Khandelwal, maxsvetlik

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 08 Aug 2016 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.3-0trusty) trusty; urgency=high

  * merge segbot_apps packages into segbot (#46 <https://github.com/utexas-bwi/segbot/issues/46>)
  * Contributors: Jack O'Quin

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 05 Aug 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.1-0trusty) trusty; urgency=high

  * Allow explicit amcl laser max range paramter instantiation. closes #31 <https://github.com/utexas-bwi/segbot_apps/issues/31>.
  * Closes #29 <https://github.com/utexas-bwi/segbot_apps/issues/29>
    - Get latest version of move_base to get fix introduced in https://github.com/ros-planning/navigation/pull/295
    This allows setting tolerance to 0 when calling make_plan from segbot_logical_translator.
    - Don't use any tolerance when testing whether a door was open or not.
    - Don't clear costmap around robot when testing for an open door.
  * Increase local costmap size to 8m x 8m. Increasing obstacle and raytrace range for primary laser to match. Closes #26 <https://github.com/utexas-bwi/segbot_apps/issues/26>.
  * updated planner frequency to 1.0. Closes #25 <https://github.com/utexas-bwi/segbot_apps/issues/25>
  * Contributors: Piyush Khandelwal

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 31 Mar 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.3.0-0trusty) trusty; urgency=high

  * a number of navigation changes to allow for correct navigation with multiple namespaced robots, and use the multimap.
  * fixed a bunch of catkin_lint errors. also installed missing scripts. closes #23 <https://github.com/utexas-bwi/segbot_apps/issues/23>
  * added better approach point determination. only navigate via the current location
  * Fixed nan_to_inf filter, still testing laser on new robot.
  * revised map_server's node name to make it unique
  * tuned many of the amcl parameters to make navigation better.
  * Made the door checker test for the door to be open 3 times before going through. Works much better.
  * Contributors: BWI, Jivko Sinapov, Piyush Khandelwal, Shiqi Zhang, bwi

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 24 Mar 2015 05:00:00 -0000

ros-indigo-segbot-navigation (0.2.1-0trusty) trusty; urgency=high



 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 22 Apr 2014 05:00:00 -0000

ros-indigo-segbot-navigation (0.2.0-0trusty) trusty; urgency=high

  * use ``roslaunch_add_files_check()`` to test that required launch
    file dependencies are declared.

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 19 Apr 2014 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.5-0trusty) trusty; urgency=high

  * closes #8 <https://github.com/utexas-bwi/segbot_apps/issues/8>

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 03 Sep 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.4-0trusty) trusty; urgency=high

  * added a real world navigation file
  * updated and cleaned up visualization config
  * cleaned up launch and configuration files. closes #6 <https://github.com/utexas-bwi/segbot_apps/issues/6>
  * removed confusing map_namespace parameter
  * added map_topic parameter for multi-robot scenarios

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 12 Aug 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.3-0trusty) trusty; urgency=high

  * added missing dependencies (closes #4 <https://github.com/utexas-bwi/segbot_apps/issues/4>). Cleaned up package and cmake files.
  * changed costmap visualization to occupancy grid in rviz configuration

 -- Piyush Khandelwal <piyushk@gmail.com>  Tue, 16 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.2-0trusty) trusty; urgency=high

  * removed dependency on navigation meta-package. progress towards #3 <https://github.com/utexas-bwi/segbot_apps/issues/3>

 -- Piyush Khandelwal <piyushk@gmail.com>  Sat, 13 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.1-0trusty) trusty; urgency=high

  * navigation has been released as a system dependency

 -- Piyush Khandelwal <piyushk@gmail.com>  Wed, 10 Jul 2013 05:00:00 -0000

ros-indigo-segbot-navigation (0.1.0-0trusty) trusty; urgency=high

  * removed redundant doc file
  * uncommented runtime launch dependencies on navigation and eband_local_planner as they have not been released into hydro yet
  * catkinized segbot_apps
  * updating the eband visualization configuration for hydro-devel
  * increased footprint size to produce an inscribed radius of 0.3
  * fixed footprint location while waiting for ros-planning/navigation#63 <https://github.com/ros-planning/navigation/issues/63> to be fixed
  * commenting out hydro-devel navigation test code. This should not be checked in until navigation through hydro-devel is fixed
  * changes to prepare for the catkinization of eband_local_planner against hydro-devel in navigation
  * some improvements to navigation
  * fixed a bug in the eband trajectory controller
  * in-place rotation at goal now supported

