=== debian/control ===
Source: ros-indigo-segbot-navigation
Section: misc
Priority: extra
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-bwi-interruptable-action-server, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-roslaunch, ros-indigo-std-srvs
Homepage: http://ros.org/wiki/segbot_navigation
Standards-Version: 3.9.2

Package: ros-indigo-segbot-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-amcl, ros-indigo-bwi-interruptable-action-server, ros-indigo-eband-local-planner, ros-indigo-geometry-msgs, ros-indigo-global-planner, ros-indigo-gmapping, ros-indigo-map-server, ros-indigo-move-base (>= 1.11.15), ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-rviz, ros-indigo-segbot-bringup, ros-indigo-std-srvs
Description: Contains launch files for running the ROS navigation stack on the segbot using the eband_local_planner approach, as well as launch files for amcl and gmapping.
